/* Sistemas Integrados TEKNISA
  Estoque

Nome: 0401_ESTFUNO_VERIF_TIPORETI_CONSREAL.SQL

Descrio:
Rotina para verificar o nome do tipo de retirada associada ao consumo real.

@C:\Web_535\Sql\End_Conv\Oracle\0401_ESTFUNO_VERIF_TIPORETI_CONSREAL.SQL

P_CDFILIAL     - Cdigo da Filial de lanamento de estoque
P_NRLANCESTQ   - Nmero de lanamento de estoque


PARA DEBUGAR
-- SET SERVEROUTPUT ON
-- DBMS_OUTPUT.PUT_LINE('xx');

Criao:
12/02/2021 - Fabrcio Marcelo da Silva
*/

CREATE OR REPLACE FUNCTION VERIF_TIPORETI_CONSREAL(
   P_CDFILIAL     IN FILIAL.CDFILIAL%TYPE,
   P_NRLANCESTQ   IN LANCTOESTOQ.NRLANCESTQ%TYPE) RETURN VARCHAR
IS
   V_NMTIPORETI   VARCHAR2(40);
BEGIN
   BEGIN
      SELECT MAX(NMTIPORETI)
        INTO V_NMTIPORETI
        FROM ITLANCTOEST I, TIPORETI T
       WHERE I.CDFILIAL   = P_CDFILIAL
         AND I.NRLANCESTQ = P_NRLANCESTQ
         AND T.CDTIPORETI = I.CDTIPORETI;
   EXCEPTION
      WHEN NO_DATA_FOUND THEN
      V_NMTIPORETI := NULL;
   END;

   RETURN(V_NMTIPORETI);
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('VERIF_TIPORETI_CONSREAL','6.35.XXX'); END;
/